import ray
import time

# Initialize Ray inside the job (this will connect to the cluster automatically)
ray.init()

# Define a simple remote function
@ray.remote
def simple_task(x):
    time.sleep(1)  # Simulate some work
    return x * x

# Main function to execute tasks
if __name__ == "__main__":
    print("Starting test on Ray as Service Endpoint...")

    # Create multiple parallel tasks
    futures = [simple_task.remote(i) for i in range(5)]
    
    # Retrieve the results
    results = ray.get(futures)

    print(f"Results from Ray cluster: {results}")